﻿using System.ServiceModel.Description;

namespace WCF_ExactTarget_WebSample.Helper
{
    public class CustomCredentials : ClientCredentials
    {
        private static string _username = string.Empty;
        private static string _password = string.Empty;

        public static string USERNAME { get { return _username; } }
        public static string PASSWORD { get { return _password; } }

        /// <summary>
        /// Initializes a new instance of the <see cref="CustomCredentials"/> class.
        /// </summary>
        /// <param name="username">The username.</param>
        /// <param name="password">The password.</param>
        public CustomCredentials(string username, string password)
        {
            _username = username;
            _password = password;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="CustomCredentials"/> class.
        /// </summary>
        /// <param name="cc">The cc.</param>
        protected CustomCredentials(CustomCredentials cc)
            : base(cc)
        { }

        /// <summary>
        /// Creates the security token manager.
        /// </summary>
        /// <returns></returns>
        public override System.IdentityModel.Selectors.SecurityTokenManager CreateSecurityTokenManager()
        {
            return new CustomSecurityTokenManager(this);
        }

        /// <summary>
        /// Clones the core.
        /// </summary>
        /// <returns></returns>
        protected override ClientCredentials CloneCore()
        {
            return new CustomCredentials(this);
        }
    }
}
